
Redmine - Defect #9095

Check all not working

2011-08-21 13:27 - Erez Hadad

Status: Closed Start date: 2011-08-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

In every page that has "check all / uncheck all" buttons, non of them seem to be working - clicking the button seems to have no effect

at all.

History

#1 - 2011-08-21 23:37 - Etienne Massip

Are you talking about Redmine ? Then, could you please give more details, according to SubmittingBugs?

#2 - 2011-08-22 12:59 - Erez Hadad

Alright. Yes, I'm talking about Redmine. Here is the output of the script/about:

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          sqlite3

Database schema version   20110511000000

About your Redmine plugins

Redmine Carousel plugin                  1.0.1

Mylyn Connector plugin                   2.7.1.stable

Knowledgebase                            0.3.2-devel

Redmine risks plugin                     1.0.1

Redmine Hudson plugin                    1.0.7

Redmine Equipment Status Viewer plugin   0.3.5

Redmine Code Review plugin               0.4.3

Redmine Light Box plugin                 0.0.1

Redmine Checkout plugin                  0.5

redmine_tags                             1.1.4

Redmine Attach Screenshot plugin         0.1.0

As you might have guessed, I've installed Redmine from an Ubuntu PPA (AFAIK, there is only one) so all the related dependencies (ruby, rails, etc)

have been set automatically.

I've also checked the issue list (before submitting this issue) and didn't find anything similar.

As for specific error data: I found this issue to be consistent everywhere these links (check all / uncheck all) are available. However, it doesn't

generate any stack trace in /var/log/redmine/default/production.log (which is where the stack traces have been generated with other errors).

One example of how to reproduce the issue, is to go to Administration -> Roles and Permissions -> New Role and then click on "Check all". Instead of

turning on all the permissions, the screen simply scrolls up a little.

I hope this helps.

#3 - 2011-08-22 13:41 - Etienne Massip

Could you try without plugins ? And try with different browsers, if you can ?
#4 - 2011-08-22 14:10 - Erez Hadad

Without plugins: Is there a way to temporarily disable plugins?

Different browsers: the problem was originally observed on Chrome. Now I see it also on Firefox 6.

#5 - 2011-08-22 14:13 - Erez Hadad

Different browsers: I also verified it on IE 8

#6 - 2011-08-22 19:37 - Etienne Massip

Erez Hadad wrote:

Without plugins: Is there a way to temporarily disable plugins?

 Yes : stop your RM instance, move out your custom plugins from the vendor/plugins dir and restart the instance.

#7 - 2011-09-19 14:06 - Etienne Massip

Any update about this issue?

#8 - 2014-11-02 02:14 - Go MAEDA

No feedback for 3 years and Redmine 1.2 is no longer supported.

This issue can be closed.

#9 - 2014-11-02 21:18 - Jean-Philippe Lang

- Status changed from New to Closed
